org.eclipse.rdf4j.query.algebra

## Class ValueExprTripleRef

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.ValueExprTripleRef

- All Implemented Interfaces:
    Serializable, Cloneable, GraphPatternGroupable, QueryModelNode, ValueExpr, VariableScopeChange

      public class ValueExprTripleRef
      extends AbstractQueryModelNode
      implements ValueExpr

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueExprTripleRef(String extName, Var s, Var p, Var o)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueExprTripleRef` | `clone()` Returns a (deep) clone of this query model node.
    `boolean` | `equals(Object other)` Returns `true` if this query model node and its children are recursively equal to `o` and its children.
    `String` | `getExtVarName()`
    `Var` | `getObjectVar()`
    `Var` | `getPredicateVar()`
    `Var` | `getSubjectVar()`
    `int` | `hashCode()`
    `<X extends Exception> void` | `visit(QueryModelVisitor<X> visitor)` Visits this node.
    `<X extends Exception> void` | `visitChildren(QueryModelVisitor<X> visitor)` Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceChildNode, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString`

- - ### Constructor Detail

    - #### ValueExprTripleRef

          public ValueExprTripleRef(String extName,
                                    Var s,
                                    Var p,
                                    Var o)

  - ### Method Detail

    - #### getExtVarName

          public String getExtVarName()

    - #### getSubjectVar

          public Var getSubjectVar()

    - #### getPredicateVar

          public Var getPredicateVar()

    - #### getObjectVar

          public Var getObjectVar()

    - #### visitChildren

          public <X extends Exception> void visitChildren(QueryModelVisitor<X> visitor)
                                                   throws X extends Exception

      Description copied from class: `AbstractQueryModelNode`
      Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing. Subclasses should override this method when they have child nodes.
      Specified by:
        `visitChildren` in interface `QueryModelNode`
      Overrides:
        `visitChildren` in class `AbstractQueryModelNode`
      Throws:
        `X extends Exception`

    - #### equals

          public boolean equals(Object other)

      Description copied from interface: `QueryModelNode`
      Returns `true` if this query model node and its children are recursively equal to `o` and its children.
      Specified by:
        `equals` in interface `QueryModelNode`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### clone

          public ValueExprTripleRef clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `ValueExpr`
      Overrides:
        `clone` in class `AbstractQueryModelNode`
      Returns:
        A deep clone of this query model node.

    - #### visit

          public <X extends Exception> void visit(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Specified by:
        `visit` in interface `QueryModelNode`
      Throws:
        `X extends Exception`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.